CVE-2017-7610

Published: 09 April 2017

The check_group function in elflint.c in elfutils 0.168 allows remote attackers to cause a denial of service (heap-based buffer over-read and application crash) via a crafted ELF file.

Priority

Medium

CVSS 3 base score: 5.5

Status

Package Release Status
elfutils
Launchpad, Ubuntu, Debian
Upstream Needed

Ubuntu 21.04 (Hirsute Hippo)
Released (0.170-0.4)
Ubuntu 20.04 LTS (Focal Fossa)
Released (0.170-0.4)
Ubuntu 18.04 LTS (Bionic Beaver)
Released (0.170-0.4)
Ubuntu 16.04 ESM (Xenial Xerus)
Released (0.165-3ubuntu1.1)
Ubuntu 14.04 ESM (Trusty Tahr)
Released (0.158-0ubuntu5.3)
Patches:
Upstream: https://sourceware.org/git/?p=elfutils.git;a=commitdiff;h=fb6709f1a41b58a9557ea45b7f53ae678c660b21